Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class ParserString

    java.lang.Object
      php.java.bridge.ParserString

Direct Known Subclasses:
  ClassicParserString

    public class ParserString

extends java.lang.Object

This class holds the parser string.

Author:
  jostb

Method Summary
`java.lang.String` | `getASCIIStringValue()` Returns the ASCII string representation.
`java.lang.String` | `getCachedStringValue()` Returns the cached string encoded via java_set_file_encoding().
`double` | `getDoubleValue()` Returns the double value.
`int` | `getIntValue()` Returns the int value.
`long` | `getLongValue()` Returns the long value.
`java.lang.String` | `getStringValue()` Returns the string encoded via java_set_file_encoding().
`java.lang.String` | `getUTF8StringValue()` Returns the UTF8 string representation.
`java.lang.String` | `toString()` Returns the UTF8 string representation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getUTF8StringValue

    public java.lang.String getUTF8StringValue()

  Returns the UTF8 string representation. Useful for debugging only

  Returns:
    The UTF-8 encoded string.

### getStringValue

    public java.lang.String getStringValue()

  Returns the string encoded via java_set_file_encoding().

  Returns:
    The encoded string value.
  See Also:
    `Options.getEncoding()`

### getCachedStringValue

    public java.lang.String getCachedStringValue()

  Returns the cached string encoded via java_set_file_encoding().

  Returns:
    The encoded string value.
  See Also:
    `Options.getEncoding()`

### getASCIIStringValue

    public java.lang.String getASCIIStringValue()

  Returns the ASCII string representation. Useful for serialized objects, float, long.

  Returns:
    The ASCII encoded string.

### getIntValue

    public int getIntValue()

  Returns the int value.

  Returns:
    The int value.

### getLongValue

    public long getLongValue()

  Returns the long value.

  Returns:
    The long value.

### getDoubleValue

    public double getDoubleValue()

  Returns the double value.

  Returns:
    The double value.

### toString

    public java.lang.String toString()

  Returns the UTF8 string representation. Useful for debugging only

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The description of the string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD